Bug 240826 - iwl3945 driver seems to die after a while
iwl3945 driver seems to die after a while
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-22 00:59 EDT by Jonathan Blandford
Modified: 2014-01-21 17:58 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-21 14:49:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
call trace rmmod iwl3945 (10.81 KB, text/plain)
2007-07-08 07:49 EDT, Alexander Hass
no flags Details

  None (edit)
Description Jonathan Blandford 2007-05-22 00:59:22 EDT
After using the network for a little bit, the network dies, and can't be
restarted.  It probably is just a  coincidence, but I've mostly seen it happen
while I'm running vpnc.  I see the following message in dmesg:

iwl3945: Microcode SW error detected.  Restarting 0x82000000.
iwl3945: Error Reply type 0x00000005 cmd TX (0x1C) seq 0x0000 info 0x0000004B
iwl3945: Can't stop Rx DMA.

Versions:

network kernel-2.6.21-1.3167.fc7
iwlwifi-firmware-2.14.3-2
Comment 1 Steve Hill 2007-05-23 14:46:24 EDT
I'm using kernel-2.6.21-1.3175.fc7 and seeing similar problems, however I don't
get the same error message.  The driver is logging:
    iwl3945: REPLY_ADD_STA failed
However, I'm not sure that this error is to do with the driver failing or if it
is a spurious unconnected warning.  I'm using an Acer TravelMate 6413 notebook
and the NICs are configured through NetworkManager.

Sometimes I can rmmod the driver and modprobe it again, other times the rmmod
completely freezes up.  The wireless NIC rarely stays working for more than a
few minutes.
Comment 2 John W. Linville 2007-06-01 16:31:45 EDT
Does kernel 1.3194 work any better for you?
Comment 3 Steve Hill 2007-06-03 15:48:41 EDT
It's certainly a lot better, but the driver still falls over occasionally.
Comment 4 Nick Stoughton 2007-06-08 17:37:37 EDT
I'm seeing a similar problem with iwlwifi-firmware.noarch 2.14.3-2 and kernel
2.6.21-1.3194.fc7

Lots of iwl3945: REPLY_ADD_STA failed messages, and an occasional drop (with
"kernel: iwl3945: ipw going down" logged)

This is under Network Manager.

rmmod and modprobe recovers for me (at least so far).

Comment 5 Jonathan Underwood 2007-06-11 19:57:43 EDT
I see lots of this with kernel 3194, and the connection is up and down like a yoyo

iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
wlan0: No ProbeResp from current AP 00:18:4d:07:31:da - assume out of range
iwl3945: REPLY_ADD_STA failed
wlan0: No STA entry for own AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
wlan0: No ProbeResp from current AP 00:18:4d:07:31:da - assume out of range
iwl3945: REPLY_ADD_STA failed
wlan0: No STA entry for own AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: authentication frame received from 00:18:4d:07:31:da, but not in
authenticate state - ignored
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
wlan0: No ProbeResp from current AP 00:18:4d:07:31:da - assume out of range
iwl3945: REPLY_ADD_STA failed
wlan0: No STA entry for own AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
iwl3945: REPLY_ADD_STA failed
security:  3 users, 6 roles, 1817 types, 79 bools, 1 sens, 1024 cats
security:  60 classes, 67748 rules
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
wlan0: No ProbeResp from current AP 00:18:4d:07:31:da - assume out of range
iwl3945: REPLY_ADD_STA failed
wlan0: No STA entry for own AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authentication with AP 00:18:4d:07:31:da timed out
iwl3945: REPLY_ADD_STA failed
wlan0: privacy configuration mismatch and mixed-cell disabled - disassociate
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: authentication frame received from 00:18:4d:07:31:da, but not in
authenticate state - ignored
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
wlan0: No ProbeResp from current AP 00:18:4d:07:31:da - assume out of range
iwl3945: REPLY_ADD_STA failed
wlan0: No STA entry for own AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
wlan0: No ProbeResp from current AP 00:18:4d:07:31:da - assume out of range
iwl3945: REPLY_ADD_STA failed
wlan0: No STA entry for own AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authentication with AP 00:18:4d:07:31:da timed out
iwl3945: REPLY_ADD_STA failed
wlan0: privacy configuration mismatch and mixed-cell disabled - disassociate
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authentication with AP 00:18:4d:07:31:da timed out
iwl3945: REPLY_ADD_STA failed
wlan0: privacy configuration mismatch and mixed-cell disabled - disassociate
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: authentication with AP 00:18:4d:07:31:da timed out
iwl3945: REPLY_ADD_STA failed
wlan0: privacy configuration mismatch and mixed-cell disabled - disassociate
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: authentication frame received from 00:18:4d:07:31:da, but not in
authenticate state - ignored
wlan0: authentication frame received from 00:18:4d:07:31:da, but not in
authenticate state - ignored
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
wlan0: No ProbeResp from current AP 00:18:4d:07:31:da - assume out of range
iwl3945: REPLY_ADD_STA failed
wlan0: No STA entry for own AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: authentication frame received from 00:18:4d:07:31:da, but not in
authenticate state - ignored
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
wlan0: No ProbeResp from current AP 00:18:4d:07:31:da - assume out of range
iwl3945: REPLY_ADD_STA failed
wlan0: No STA entry for own AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:18:4d:07:31:da
wlan0: RX authentication from 00:18:4d:07:31:da (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:18:4d:07:31:da
wlan0: RX ReassocResp from 00:18:4d:07:31:da (capab=0x431 status=0 aid=1)
wlan0: associated
wlan0: WMM queue=2 aci=0 acm=0 aifs=3 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=3 aci=1 acm=0 aifs=7 cWmin=15 cWmax=1023 burst=0
wlan0: WMM queue=1 aci=2 acm=0 aifs=2 cWmin=7 cWmax=15 burst=30
wlan0: WMM queue=0 aci=3 acm=0 aifs=2 cWmin=3 cWmax=7 burst=15
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
iwl3945: REPLY_ADD_STA failed
Comment 6 Nick Stoughton 2007-06-12 16:52:12 EDT
I turned up the debugging level ... don't know if this helps:

Jun 12 13:24:16 amstaff2 kernel: iwl3945: I iwl_rx_handle UNHANDLED - #0xa2 UNKNOWN
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U reg_txpower_get_temperature
Temperature: 156
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U is_temp_calib_needed Getting cooler,
delta -1,
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U is_temp_calib_needed Timed thermal
calib not needed
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U d_hw_scan enter
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_scan_initiate Starting scan...
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U d_hw_scan leave
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_bg_request_scan Scanning while
associated...
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_bg_request_scan Initiating
indirect scan.
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Scanning 1
[ACTIVE 20]
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Scanning 2
[ACTIVE 20]
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Scanning 3
[ACTIVE 20]
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Scanning 4
[ACTIVE 20]
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Scanning 5
[ACTIVE 20]
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Skipping
current channel 6
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Scanning 7
[ACTIVE 20]
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Scanning 8
[ACTIVE 20]
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Scanning 9
[ACTIVE 20]
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Scanning
10 [ACTIVE 20]
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan Scanning
11 [ACTIVE 20]
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_get_channels_for_scan total
channels to scan 10 
Jun 12 13:24:20 amstaff2 kernel: iwl3945: U iwl_enqueue_hcmd Sending command
REPLY_SCAN_CMD (#80), seq: 0x449A, 340 bytes at 154[32]:4
Jun 12 13:24:20 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B2078F6) - 1 (beacon timer 3557213962)
Jun 12 13:24:21 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B28D0DA) - 1 (beacon timer 3574468390)
Jun 12 13:24:21 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B33D0AD) - 1 (beacon timer 3573747539)
Jun 12 13:24:22 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B386C80) - 1 (beacon timer 3591246720)
Jun 12 13:24:22 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B438FF0) - 1 (beacon timer 3590516752)
Jun 12 13:24:23 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B48236B) - 1 (beacon timer 3608018069)
Jun 12 13:24:23 amstaff2 ntpd[2798]: bind() fd 21, family 10, port 123, scope
10, addr fe80::213:2ff:fe4f:6fec, in6_is_addr_multicast=0 flags=17 fails: Cannot
assign requested address
Jun 12 13:24:23 amstaff2 ntpd[2798]: unable to create socket on wlan0 (37) for
fe80::213:2ff:fe4f:6fec#123
Jun 12 13:24:23 amstaff2 ntpd[2798]: failed to initialize interface for address
fe80::213:2ff:fe4f:6fec
Jun 12 13:24:23 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B532275) - 1 (beacon timer 3607297419)
Jun 12 13:24:24 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B57ACC6) - 1 (beacon timer 3624801082)
Jun 12 13:24:24 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B62AD6E) - 1 (beacon timer 3624080018)
Jun 12 13:24:25 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B676AE8) - 1 (beacon timer 3641570584)
Jun 12 13:24:25 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B72653C) - 1 (beacon timer 3640851140)
Jun 12 13:24:26 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B76ECD7) - 1 (beacon timer 3658355497)
Jun 12 13:24:26 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B81ECA8) - 1 (beacon timer 3657634648)
Jun 12 13:24:27 amstaff2 kernel: iwl3945: I iwl_rx_scan_start_notif Scan start:
1 [802.11bg] (TSF: 0x000000E1:6B868CA5) - 1 (beacon timer 3675132763)
Jun 12 13:24:27 amstaff2 kernel: iwl3945: U iwl_bg_scan_check Scan completion
watchdog resetting adapter (7000ms).
Jun 12 13:24:27 amstaff2 kernel: iwl3945: ipw going down 
Comment 7 Jonathan Underwood 2007-06-13 20:48:12 EDT
Resetting the priority and severity of this bug. The iwl3945 is really unstable
in F7, and it's affecting a lot of people.
Comment 8 Seth Vidal 2007-06-14 11:37:39 EDT
I've found this seems to occur in weird places where there is a convergence of a
lot of access points at the same time.
Comment 9 Nick Stoughton 2007-06-14 16:19:18 EDT
I can confirm that while I'm in a spot where there are few competing APs, there
are fewer problems ... however when I'm at home there are two APs (mine and my
neighbor's), and the iwl3945 goes down about once an hour or so, and always
following a iwl_bg_request_scan.
Comment 10 Nick Stoughton 2007-06-15 20:23:54 EDT
I switched the channel on one of the APs, and now the driver is stable. This
looks  like the problem ... if there are 2 APs with different SSIDs on the same
channel, then the driver sometimes dies during its periodic scan.
Comment 11 Bryan O'Sullivan 2007-06-21 02:31:21 EDT
Seeing this with kernel-2.6.21-1.3228.fc7.x86_64 too.  I have two APs with the
same SSID and channel, using WDS.  It can take a few hours for the iwl3945
driver to fall over, but it will do so.
Comment 12 Torsten Trautwein 2007-06-23 04:44:16 EDT
I do also have this problem when there's more than one AP in the range.
Switching channels didn't work for me. (Kernel 2.6.21-1.3228.fc7)
Comment 13 Nick Stoughton 2007-06-25 14:14:00 EDT
(In reply to comment #10)
> I switched the channel on one of the APs, and now the driver is stable. This
> looks  like the problem ... if there are 2 APs with different SSIDs on the same
> channel, then the driver sometimes dies during its periodic scan.

I was wrong ... it was stable for a day, but now is back to failing every couple
of hours or so.
Comment 14 Torsten Trautwein 2007-06-25 15:35:39 EDT
It's very strange! Sometimes it works absolutely reliable for days and then -
without changing location or any configuration - it disconnects every other minute.
Comment 15 H. Peter Anvin 2007-06-28 14:49:40 EDT
I can verify this bug on my T60w.  In particular, the less stable the binding
between APs is the worse it gets.  Sitting right next to a single AP, it can
work almost indefinitely; trying it at Les Suites at OLS is dies in under a minute.

This is with kernel-2.6.21-1.3228.fc7.x86_64 and iwlwifi-firmware-2.14.3-2.

Looking in the changelog for the iwlwifi driver, this is a known bug in 0.0.24
which I believe is the version of iwlwifi included with the above kernel. 
However, I have been unable to build 0.0.32 against the same kernel (compiled
against 2.6.22-rc6 it behaves the same); additionally, upgrading the firmware to
2.14.4 from the iwlwifi project and it completely dies.
Comment 16 Seth Vidal 2007-06-28 15:04:46 EDT
In addition this driver really, really doesn't want to unload itself in certain
situations.

Comment 17 Alexander Hass 2007-07-08 07:49:04 EDT
Created attachment 158727 [details]
call trace rmmod iwl3945

I have the same problem with my T60 - kernel-2.6.21-1.3228.fc7 and
iwlwifi-firmware-2.14.3-2 - and got a call trace when trying to reanimate the
network by unloading iwl3945 last time. 
Hope this helps!
Comment 18 John W. Linville 2007-07-13 11:51:41 EDT
Please try the kernels from here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=10941

Do they work any better for you?
Comment 19 Nick Stoughton 2007-07-13 22:36:41 EDT
Do I need new firmware for this kernel? I'm seeing 
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: Could not read microcode: -22
when I try to load the driver. Looks like I currently have iwlwifi-firmware-2.14.3-2
with this latest kernel. If so, where do I find it!
Comment 20 John W. Linville 2007-07-16 10:01:24 EDT
Yes -- until it is packaged you can get it from here:

http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-3945-ucode-2.14.4.tgz
Comment 21 Brad Longo 2007-07-19 15:57:24 EDT
This may be a stupid question but im kind of new to doing stuff like this.  To
what file should I extract the firmware?
Comment 22 John W. Linville 2007-07-19 16:01:16 EDT
Easiest thing would be to install (i.e. 'rpm -ihv') this package:
 
http://redhat.download.fedoraproject.org/pub/fedora/linux/updates/testing/7/i386/iwlwifi-firmware-2.14.4-1.noarch.rpm
Comment 23 Brad Longo 2007-07-19 19:59:45 EDT
I've been playing around with kernel-2.6.22-8.fc7.i686.rpm.  My wireless works
much better with it.  It was previously only working if I was almost right next
to router, but now I can maintain my connection even from far away with no
problem. So far it has been working just as good as my ipw3945 driver on core 6.
--Brad 
Comment 24 John W. Linville 2007-08-21 14:49:19 EDT
I'm closing this.  It looks like maybe this bug got hijacked a bit along the 
way or whatever.  Anyway, iwl3945 is working fairly well now.  Please open new 
bugs for any specific issues remaining...

Note You need to log in before you can comment on or make changes to this bug.